## org.codehaus.groovy.grails.commons.metaclass
Class BeanBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              org.codehaus.groovy.grails.commons.metaclass.BeanBinding

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class BeanBinding

extends groovy.lang.Binding

Extends Groovy's Binding Object to allow a binding to a particular bean where the properties of the Object become binding variables

Since:
  1.1

  Created: Jul 22, 2008
Author:
  Graeme Rocher

Constructor Summary
`BeanBinding(Object bean)`

Method Summary
`Object` `getVariable(String name)`
`Map` `getVariables()`
`void` `setVariable(String name, Object value)`

Methods inherited from class groovy.lang.Binding
`getProperty, setProperty`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanBinding

    public BeanBinding(Object bean)

Method Detail

### getVariable

    public Object getVariable(String name)

  Overrides:
    `getVariable` in class `groovy.lang.Binding`

### setVariable

    public void setVariable(String name,
                            Object value)

  Overrides:
    `setVariable` in class `groovy.lang.Binding`

### getVariables

    public Map getVariables()

  Overrides:
    `getVariables` in class `groovy.lang.Binding`

Copyright (c) 2005-2009 The Grails project